#!/bin/bash

# timestamp
get_timestamp()
{
    year=$(date +%Y)
    month=$(date +%m)
    day=$(date +%d)
    hour=$(date +%H)
    minute=$(date +%M)
    second=$(date +%S)
    echo "$year.$month.$day	$hour:$minute:$second"
}

# get the current local ip
get_local_ip()
{
    eth=$(sudo ip addr | grep -P ".*inet.*eth0" | awk '{print $2}')
    wlan=$(sudo ip addr | grep -P ".*inet.*wlan0" | awk '{print $2}')
    tun=$(sudo ip addr | grep -P ".*inet.*tun0" | awk '{print $2}')
    if [ ! -z "$tun" ]; then
        echo "$tun"
    elif [ ! -z "$eth" ]; then
        echo "$eth"
    elif [ ! -z "$wlan" ]; then
        echo "$wlan"
    else
        echo ""
    fi
}

# check if internet connection is available
# return "true" or "false"
is_internet_connection()
{
    if [[ $(ping -c 2 google.com 2>&1) == *unknown*host* ]]; then
        echo "false"
    else
        echo "true"
    fi
}

